﻿.filter-box{
    width: 100%;
    position: relative;
    display: block;
    min-height: 100vh;
    overflow: hidden;
}
.filter-all-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    box-sizing: border-box;
    padding: 80px 0;
}
.filter-search-box{
    width: 360px;
    max-width: 100%;
    display: inline-block;
    vertical-align: top;
}
.filter-search-title{
    width: 50%;
    font-size: 18px;
    line-height: 58px;
    color: #000;
    font-family: "Noto Serif TC";
    font-weight: 500;
    letter-spacing: 0.01em;
    display: inline-block;
    vertical-align: top;
    text-align: center;
    box-sizing: border-box;
    border-bottom: 1px solid #d1d1d1;
    background-color: #e7e5de;
    cursor: pointer;
    transition: all .3s linear;
}
.filter-search-title.active{
    border: 1px solid #d1d1d1;
    border-bottom: none;
    background-color: #f7f5ee;
}
.filter-search-info-box{
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding: 10px 50px;
    background-color: #f7f5ee;
    border: 1px solid #d1d1d1;
    border-top: none;
}
.filter-search-info{
    box-sizing: border-box;
    padding: 25px 0;
    border-bottom: 1px solid #d1d1d1;
}
.filter-search-info:last-child{
    border-bottom: none;
}
.filter-search-info-name{
    font-size: 16px;
    color: #000;
    letter-spacing: 0.06em;
}
.filter-search-info-select-box{
    position: relative;
    margin-top: 10px;
}
.filter-search-info-select-box:after{
    content: '';
    font-size: 0;
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 5px solid transparent;
    border-top: 6px solid #000;
    border-left: 5px solid transparent;
    display: block;
    border-radius: 5px;
    position: absolute;
    right: 13px;
    top: 16px;
    z-index: 2;
    pointer-events: none;
}
.filter-search-info-select-box:before{
    content: 'none';
    font-size: 0;
    width: 36px;
    height: 100%;
    display: block;
    border: 1px solid #d1d1d1;
    box-sizing: border-box;
    background-color: #e7e5de;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;
    pointer-events: none;
}
.filter-search-info-select{
    width: 100%;
    height: 36px;
    box-sizing: border-box;
    border: 1px solid #d1d1d1;
    background-color: #fff;
    display: block;
    letter-spacing: 0.06em;
    padding: 0 10px;
    padding-right: 36px;
    color: #888;
    position: relative;
    -webkit-appearance: none; /*Chrome*/
    -moz-appearance: none; /*FF*/
    appearance: none;/*CSS3*/
    font-family: "微軟正黑體";
    font-size: 14px;
    cursor: pointer;
}
.filter-search-info-check{
    display: block;
    margin-top: 10px;
    cursor: pointer;
}
.filter-search-info-check input,
.filter-search-info-size input{
    position: absolute;
    pointer-events: none;
    opacity: 0;
}
.filter-search-info-check span{
    width: 13px;
    height: 13px;
    display: inline-block;
    vertical-align: top;
    border-radius: 2px;
    border: 2px solid #999;
    box-sizing: border-box;
    margin-top: 4px;
    position: relative;
}
.filter-search-info-check-text{
    font-size: 14px;
    color: #888;
    width: calc(100% - 28px);
    display: inline-block;
    vertical-align: top;
    margin-left: 15px;
    letter-spacing: 0.06em;
}
.filter-search-info-check span::before{
    content: '';
    width: 4px;
    height: 2px;
    background-color: #999;
    display: none;
    position: absolute;
    top: 5px;
    left: 1px;
    transform: rotateZ(40deg);
}
.filter-search-info-check span::after{
    content: '';
    width: 7px;
    height: 2px;
    background-color: #999;
    display: none;
    position: absolute;
    top: 4px;
    right: -1px;
    transform: rotateZ(-45deg);
}
.filter-search-info-check input:checked + span::before,
.filter-search-info-check input:checked + span::after{
    display: block;
}
.filter-search-info-size-box{
    margin-top: 10px;
}
.filter-search-info-size{
    width: calc(50% - 10px);
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    border: 1px solid #d1d1d1;
    text-align: center;
    margin-right: 20px;
    cursor: pointer;
    height: 42px;
}
.filter-search-info-size:nth-child(2n){
    margin-right: 0;
}
.filter-search-info-size:nth-child(n + 3){
    margin-top: 15px;
}
.filter-search-info-size span{
    width: 100%;
    line-height: 40px;
    height: 40px;
    display: inline-block;
    vertical-align: top;
    font-size: 14px;
    color: #888;
    transition: all .3s ease;
    background-color: #fff;
}

.filter-result-box{
    width: calc(100% - 360px);
    box-sizing: border-box;
    padding-left: 30px;
    display: inline-block;
    vertical-align: top;
}
.filter-result-title{
    font-size: 24px;
    line-height: 1.4;
    color: #000;
    font-family: "Noto Serif TC";
    font-weight: 500;
    letter-spacing: 0.01em;
    display: block;
}
.filter-result-info-box{
    margin-top: 25px;
}
.filter-result-info{
    width: 260px;
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    border: 1px solid #d1d1d1;
    margin-right: 15px;
    background-color: #f7f5ee;
}
.filter-result-info:nth-child(3n){
    margin-right: 0;
}
.filter-result-info:nth-child(n + 4){
    margin-top: 15px;
}
.filter-result-info-img{
    height: 260px;
    display: block;
    background-color: #fff;
    border-bottom: 1px solid #d1d1d1;
}
.filter-result-info-text-box{
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding: 15px 10px;
}
.filter-result-info-text-name{
    font-size: 16px;
    display: block;
    color: #000;
    letter-spacing: 0.01em;
    font-weight: bold;
    margin-bottom: 10px;
}

.filter-result-info-text-line{
    width: 100%;
    height: 1px;
    display: block;
    margin: 10px 0;
    background-color: #888;
}
.filter-result-info-text p{
    display: inline-block;
    vertical-align: top;
    letter-spacing: 0.01em;
    font-size: 14px;
    color: #555;
}
.filter-result-info-text span{
    display: inline-block;
    vertical-align: top;
    letter-spacing: 0.01em;
    font-size: 14px;
    font-family: "roboto";
    font-weight: 300;
    color: #555;
}
.filter-result-info-text-tab{
    box-sizing: border-box;
    padding-left: 20px;
    position: relative;
}
.filter-result-info-text-tab::before{
    content: '';
    width: 5px;
    height: 2px;
    background-color: #279633;
    display: block;
    position: absolute;
    top: 12px;
    left: 2px;
    transform: rotateZ(40deg);
}
.filter-result-info-text-tab::after{
    content: '';
    width: 8px;
    height: 2px;
    background-color: #279633;
    display: block;
    position: absolute;
    top: 11px;
    left: 5px;
    transform: rotateZ(-45deg);
}
.none-check::before,
.none-check::after{
    display: none;
}
.none-check p{
    /* color: rgba(63, 52, 55, 0.3);
    text-decoration: line-through; */
    display: none;
}

.filter-result-info-text-price{
    display: block;
}
.filter-result-info-text-price p{
    width: 65px;
    display: inline-block;
    vertical-align: top;
    letter-spacing: 0.01em;
    font-size: 16px;
    color: #888;
}
.filter-result-info-text-price span{
    width: calc(100% - 65px);
    display: inline-block;
    vertical-align: top;
    letter-spacing: 0.01em;
    font-size: 16px;
    font-family: "roboto";
    font-weight: 300;
    color: #888;
}
.filter-result-info-text-price.add-price span,
.filter-result-info-text-price.add-price p{
    color: #a18873;
}
.filter-result-info-now{
    width: 100%;
    background-color: #808080;
    border: 1px solid #808080;
    box-sizing: border-box;
    letter-spacing: 0.01em;
    font-size: 16px;
    color: #fff;
    line-height: 40px;
    display: block;
    text-align: center;
    margin-top: 10px;
    transition: all .3s linear;
}
.filter-result-info-now i{
    margin-right: 15px;
}
.filter-result-info-discount{
    width: 100%;
    border: 1px solid #d1d1d1;
    letter-spacing: 0.01em;
    box-sizing: border-box;
    background-color: #fff;
    font-size: 16px;
    color: #3f3437;
    line-height: 40px;
    display: block;
    text-align: center;
    margin-top: 10px;
}
.filter-result-info-discount i{
    margin-right: 15px;
}


.filter-result-info-now:hover{
    background-color: #fff;
    color: #808080;
    border: 1px solid #808080;
}

.filter-no-stock{
    background-color: #aaa;
    pointer-events: none;
    border: 1px solid #aaa;
    line-height: 20px;
    font-size: 14px;
}

.filter-search-info-size input:checked + span{
    background-color: #3f3437;
    color: #fff;
}

@media only screen and (min-width: 1000px){
    .filter-search-info-size:hover span{
        background-color: #3f3437;
        color: #fff;
    }
}
@media only screen and (max-width: 1200px){
    .filter-all-box{
        width: 1000px;
    }
    .filter-search-box{
        width: 260px;
    }
    .filter-search-info-box{
        padding: 10px 20px;
    }
    .filter-result-box {
        width: calc(100% - 260px);
    }
    .filter-result-info{
        width: 230px;
        margin-right: 10px;
    }
    .filter-result-info-img{
        height: 230px;
    }
}
@media only screen and (max-width: 1000px){
    .filter-all-box{
        width: 750px;
    }
    .filter-search-box{
        width: 100%;
        display: block;
        position: relative;
        z-index: 1;
    }
    .filter-search-info-box{
        padding: 10px 20px;
        /* position: absolute; */
        display: none;
        box-shadow: 0 5px 5px rgba(0, 0, 0, .35);
        max-height: calc(90vh - 320px);
        overflow: auto;
    }
    .filter-result-box {
        width: 100%;
        padding-left: 0px;
        margin-top: 20px;
    }
    .filter-result-info{
        width: 240px;
        margin-right: 15px;
    }
    .filter-result-info-img{
        height: 240px;
    }
    .filter-search-title {
        border: none;
        position: relative;
        line-height: 60px;
    }
    .filter-search-title.active:after {
        content: '';
        width: 0px;
        height: 0px;
        margin: 0 auto;
        border-right: 8px solid transparent;
        border-top: 10px solid #555;
        border-left: 8px solid transparent;
        display: block;
        position: absolute;
        bottom: calc(50% - 5px);
        right: 5%;
        box-sizing: border-box;
    }
    .filter-search-title.active {
        border-bottom: 1px solid #d1d1d1;
        line-height: 58px;
    }
    .filter-search-title.active.open {
        border-bottom: 1px solid #f5f5f5;
    }
    .filter-search-info-box.open{
        border-top: 1px solid #d1d1d1;
    }
}
@media only screen and (max-width: 750px){
    .filter-all-box{
        width: 550px;
        padding: 40px 0;
    }
    .filter-result-info:nth-child(n){
        width: calc((100% - 10px) / 2);
        margin-right: 10px;
    }
    .filter-result-info:nth-child(2n){
        margin-right: 0;
    }
    .filter-result-info:nth-child(n + 3){
        margin-top: 10px;
    }
    .filter-result-info-img{
        height: calc((550px - 10px) / 2);
    }
    .filter-result-title{
        font-size: 20px;
    }
}
@media only screen and (max-width: 550px){
    .filter-all-box{
        width: 400px;
        padding: 20px 0;
    }
    .filter-result-info-img{
        height: calc((400px - 10px) / 2);
    }
    .filter-search-title{
        font-size: 16px;
        line-height: 40px;
    }
    .filter-search-title.active {
        line-height: 38px;
    }
    .filter-search-title.active:after{
        border-right-width: 4px;
        border-top-width: 8px;
        border-left-width: 4px;
        bottom: calc(50% - 4px);
    }
    .filter-search-info{
        padding: 10px 0;
    }
    .filter-search-info-select{
        height: 30px;
        padding-right: 30px;
        font-size: 12px;
    }
    .filter-search-info-select-box:before{
        width: 30px;
    }
    .filter-search-info-select-box:after{
        right: 10px;
        top: 13px;
    }
    .filter-search-info-name{
        font-size: 14px;
    }
    .filter-search-info-check-text{
        font-size: 12px;
        margin-left: 5px;
    }
    .filter-search-info-check span{
        margin-top: 2px;
    }
    .filter-search-info-size span{
        line-height: 30px;
        font-size: 12px;
        height: 30px;
    }
    .filter-search-info-size-box{
        margin-top: 5px;
    }
    .filter-result-box{
        margin-top: 10px;
    }
    .filter-result-title{
        font-size: 18px;
    }
    .filter-result-info-box{
        margin-top: 10px;
    }
    .filter-result-info-text-name{
        font-size: 14px;
    }
    .filter-result-info-text p{
        font-size: 12px;
    }
    .filter-result-info-text-box{
        padding: 10px 5px;
    }
    .filter-result-info-text span{
        font-size: 12px;
    }
    .filter-result-info-text-price p{
        width: 58px;
        font-size: 14px;
    }
    .filter-result-info-text-price span{
        width: calc(100% - 58px);
        font-size: 14px;
    }
    .filter-result-info-now{
        font-size: 14px;
        line-height: 30px;
    }
    .filter-result-info-now i {
        margin-right: 5px;
    }
    .filter-result-info-discount{
        font-size: 14px;
        line-height: 30px;
    }
    .filter-result-info-discount i {
        margin-right: 5px;
    }
    .filter-no-stock {
        line-height: 15px;
        font-size: 12px;
    }
    .filter-search-info-size{
        height: 32px;
    }
}
@media only screen and (max-width: 400px){
    .filter-all-box{
        width: 95vw;
    }
    .filter-result-info:nth-child(n){
        width: 100%;
        margin-right: 0;
    }
    .filter-result-info:nth-child(2n){
        width: 100%;
        margin-top: 10px;
    }
    .filter-result-info-img {
        height: calc(95vw - 2px);
    }
}





/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
    .filter-search-box,
    .filter-result-title,
    .filter-result-info{
        opacity: 0;
    }
    .filter-search-box.anima{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
    .filter-result-title.anima{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .filter-result-info.anima{
        animation: fadeInRight 1s ease 0s 1 both;
    }
}